Threat: Internet Explorer Exploit

Right on the heels of a Microsoft Office/Lync exploit, a new zero-day bug has emerged that targets computers and virtual machines running Internet Explorer versions 7, 8, 9, and 10 (the newest version of IE is 11 and it is available on Windows 7 and 8). Microsoft does not yet have a fix for the issue. We recommend that you use either Mozilla Firefox or Google Chrome for web browsing.

You can read more about the issue and mitigation efforts here.

Please contact us if you have any questions or issues.